<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Add Customer Package plan</strong>
        </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="saveForm" autocomplete="off" #f="ngForm" class="form-horizontal" (ngSubmit)="addPackage()">
          <div class="form-group">
            <label class="col-sm-2 control-label">Package plan name <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Package name" formControlName="package_name" class="form-control"
                required>
              <div class="error-msg"
                *ngIf="saveForm.controls['package_name'].invalid && (saveForm.controls['package_name'].dirty || saveForm.controls['package_name'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['package_name'].errors.required">
                  Package name is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Package description<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Package Description" formControlName="package_description"
                class="form-control" required>
              <div class="error-msg"
                *ngIf="saveForm.controls['package_description'].invalid && (saveForm.controls['package_description'].dirty || saveForm.controls['package_description'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['package_description'].errors.required">
                  Package description is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Package Background image</label>
            <div class="col-md-10">
              <image-upload [extensions]="['jpeg','jpg','png']" [max]="1" [buttonCaption]="'Select Image'"
                [maxFileSize]="1048576" (removed)="onRemoved($event)" (uploadFinished)="imageFinishedUploading($event)"
                onclick="messageIfNoImage($event)">
              </image-upload>
              <span *ngIf="spandata=='yes'" class="clearimage">
                Remove old image before new upload.
              </span><br>
              <span class="image-format">
                Only jpeg, jpg, png formats are allowed.
              </span>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Package Type</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Type" formControlName="package_type"
                (ngModelChange)="setpackageType($event)">
                <mat-option value='ride'>Ride Based</mat-option>
                <mat-option value='km'>Km Based</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group" *ngIf='ride_type'>
            <label class="col-sm-2 control-label"> No.of rides <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="No.of rides" formControlName="ride_count" maxlength="2"
                class="form-control" required>
              <div class="error-msg"
                *ngIf="saveForm.controls['ride_count'].invalid && (saveForm.controls['ride_count'].dirty || saveForm.controls['ride_count'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['ride_count'].errors.required">
                  Ride count is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group" *ngIf='km_type'>
            <label class="col-sm-2 control-label"> No.of km's <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Total km" formControlName="total_kms" maxlength="4" class="form-control"
                required>
              <div class="error-msg"
                *ngIf="saveForm.controls['total_kms'].invalid && (saveForm.controls['total_kms'].dirty || saveForm.controls['total_kms'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['total_kms'].errors.required">
                  km is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group" *ngIf='ride_type'>
            <label class="col-sm-2 control-label">Maximum Discount amount</label>
            <div class="col-sm-10 form-input">
              <input type="text" class="form-control" numbervalidator2 pattern="^[0-9]+$"
                placeholder="Maximum discount amount" name="maximum_discount_amount_upto"
                formControlName="maximum_discount_amount_upto">
              <div class="error-msg"
                *ngIf="saveForm.controls['maximum_discount_amount_upto'].errors && (saveForm.controls['maximum_discount_amount_upto'].dirty || saveForm.controls['maximum_discount_amount_upto'].touched || f.submitted)">
                <div [hidden]="!saveForm.controls['maximum_discount_amount_upto'].errors.pattern">Maximum discount
                  amount
                  should be a
                  number.
                </div>
                <div [hidden]="!saveForm.controls['maximum_discount_amount_upto'].errors.numbervalidator2">Max order
                  amount
                  should be
                  an
                  number.</div>
              </div>
            </div>
          </div>
          <div class="form-group" *ngIf='ride_type'>
            <label class="col-sm-2 control-label">Discount %<i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" class="form-control" numbervalidator maxlength="3" pattern="[0-9]+?"
                placeholder=" Discount %" name="percentage_discount" formControlName="percentage_discount" required>
              <div class="error-msg"
                *ngIf="saveForm.controls['percentage_discount'].errors && (saveForm.controls['percentage_discount'].dirty || saveForm.controls['percentage_discount'].touched || f.submitted)">
                <div [hidden]="!saveForm.controls['percentage_discount'].errors.required">Discount % is required.
                </div>
                <div [hidden]="!saveForm.controls['percentage_discount'].errors.pattern">Discount % should be an
                  number.
                </div>
                <div *ngIf="saveForm.controls['percentage_discount'].errors.numbervalidator">Discount % should not be
                  greater
                  than 100.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Package cost<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="Number" placeholder="Package cost" formControlName="package_cost" maxlength="5"
                class="form-control" required>
              <div class="error-msg"
                *ngIf="saveForm.controls['package_cost'].invalid && (saveForm.controls['package_cost'].dirty || saveForm.controls['package_cost'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['package_cost'].errors.required">
                  Package cost is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Validity in days<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="Number" placeholder="Validity" formControlName="validity" maxlength="5" class="form-control"
                required>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle Categories</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Allowed categories" formControlName="allowed_categories"
                multiple>
                <mat-option *ngFor="let cat of CategoryData" [value]="cat._id">{{ cat.name }}</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/customer/packages']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>